The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add the NS9600 Sensor as a Suricata Standalone Sensor in the Manager

Prev Next

This URL allows you to add the NS9600 Sensor as a Suricata standalone Sensor in the Manager.

Resource URL

domain/<domain_ID>/device

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

domain_ID

Domain ID details

Number

Yes

Payload parameters:

Field Name

Description

Data Type

Mandatory

deviceName

Name of the device

String

Yes

deviceType

Set as suricataSensor

String

Yes

sharedSecret

Provide a shared secret key

String

Yes

confirmSharedSecret

Confirm a shared secret key

String

Yes

updatingMode

Set as ONLINE

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

createdResourceId

Resource ID details

Number

Example

Request

POST https://<IPSM_IP>/sdkapi/domain/0/device

Payload

{  
    "deviceName": "suricata_standalone",  
    "deviceType": {    
        "suricataSensor": 
            {        
                "sharedSecret": "admin123",        
                "confirmSharedSecret": "admin123",        
                "updatingMode": "ONLINE"        
            }    
         }
}

Response

{    
   "createdResourceId": 1040
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues